Page MenuHomePhabricator

Page actions displayed when action isn't view
Closed, DeclinedPublic

Description

The primary and secondary page actions are displayed when the action query parameter is watch (i.e. it's not the default, view).


The talk button is either missing an icon or is too wide. The entire page could probably use some design love too (the page actions bar probably shouldn't show, for example).

Repro steps:

  1. Disable JS and go to https://en.m.wikipedia.org/wiki/Tom_Hardy
  2. Click the area where the watchstar icon should be (icon is being fixed in T141936)
  3. Observe gross talk button

Google Chrome Version 52.0.2743.116 m
Windows 7 SP1

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 10 2016, 4:51 PM
jhobs assigned this task to phuedx.Aug 11 2016, 5:20 PM

For repurposing this card into an epic, per Sam's request.

MBinder_WMF triaged this task as Normal priority.Aug 11 2016, 8:15 PM
phuedx updated the task description. (Show Details)Aug 15 2016, 8:44 AM
phuedx added a comment.EditedAug 15 2016, 8:53 AM

For repurposing this card into an epic, per Sam's request.

I was wrong. I think that this is a couple of good first bug bugs:

  • the talk button icon isn't visible when the UA isn't RL-capable
  • the talk button displays when the action isn't view
phuedx renamed this task from When watching an article in non-js, talk button is not styled properly to Page actions displayed when action isn't view.Aug 15 2016, 9:18 AM
phuedx added a project: good first bug.
phuedx updated the task description. (Show Details)
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptAug 15 2016, 9:18 AM

This bug now covers the second bug.

phuedx removed phuedx as the assignee of this task.Aug 15 2016, 10:30 AM
phuedx raised the priority of this task from Normal to Needs Triage.
phuedx moved this task from Needs Prioritization to Incoming on the Readers-Web-Backlog board.
phuedx added a subscriber: phuedx.
Jhernandez closed this task as Declined.Aug 17 2016, 3:22 PM
Jhernandez added a subscriber: Jhernandez.

Seems like there's no way for users to get to this page except by the URL. So declining for now. Will reopen if this is exposed or affects users.